| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | Public Member Functions | List of all members
stan::VectorViewMvt< const T, is_array, throw_if_accessed > Class Template Reference

VectorViewMvt that has const correctness. More...

`#include <VectorViewMvt.hpp>`

## Public Types
typedef scalar_type_pre< T >::type | matrix_t

## Public Member Functions
| VectorViewMvt (const matrix_t &m)
| VectorViewMvt (const std::vector< matrix_t > &vm)
const matrix_t & | operator[] (int i) const

## Detailed Description

### template<typename T, bool is_array, bool throw_if_accessed>
class stan::VectorViewMvt< const T, is_array, throw_if_accessed >

VectorViewMvt that has const correctness.

Definition at line 41 of file VectorViewMvt.hpp.

## Member Typedef Documentation

template<typename T , bool is_array, bool throw_if_accessed>

typedef scalar_type_pre<T>::type stan::VectorViewMvt< const T, is_array, throw_if_accessed >::matrix_t

Definition at line 43 of file VectorViewMvt.hpp.

## Constructor & Destructor Documentation

template<typename T , bool is_array, bool throw_if_accessed>

stan::VectorViewMvt< const T, is_array, throw_if_accessed >::VectorViewMvt | ( | const matrix_t & | m | ) |
| inline explicit

Definition at line 45 of file VectorViewMvt.hpp.

template<typename T , bool is_array, bool throw_if_accessed>

stan::VectorViewMvt< const T, is_array, throw_if_accessed >::VectorViewMvt | ( | const std::vector< matrix_t > & | vm | ) |
| inline explicit

Definition at line 47 of file VectorViewMvt.hpp.

## Member Function Documentation

template<typename T , bool is_array, bool throw_if_accessed>

const matrix_t& stan::VectorViewMvt< const T, is_array, throw_if_accessed >::operator[] | ( | int | i | ) | const
| inline

Definition at line 49 of file VectorViewMvt.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/VectorViewMvt.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.